.data-table-responsive {
    //height: 412px;
    overflow: auto;
}
::ng-deep thead  {
     border-bottom: solid 2px #82877f !important;
}


.table thead tr:nth-child(1) th {
    position: sticky;
    top: 0;
    border: hidden;
    white-space: nowrap;
    
}

.table thead tr:nth-child(2) th {
    position: sticky;
    top: 0px;
    border-top: solid 2px #82877f !important;
    border: hidden;
    white-space: nowrap;
}

.table tbody td {
    white-space: nowrap;
}

.table tbody tr:first-child td {
    border-top: hidden;
}

.table tbody tr.loading-row,
.table tbody tr.alert-row {
    background-color: inherit !important;
}

.table .loading-row:hover,
.table .alert-row:hover {
    color: initial !important;
    background-color: initial !important;
}

.btn-action-table {
    padding: 0.2rem 0.5rem;
    font-size: 9px;
    line-height: 0;
    margin-left: 2px;
    margin-right: 2px;
}

.btn-show em{
    font-size: larger;
    color: #002c50;
}
.btn-edit em{
    font-size: larger;
    color:#002c50 ;
}
.btn-delete em{
    font-size: large;
    color: #002c50;
}


.td-ng-click {
    background-color: #ededee;
    border-radius: 50%;
    width: 25px !important;
    height: 25px !important;
    min-width: 25px;
    line-height: 25px !important;
    margin-left: 3px !important;
    margin-right: 3px !important;
    text-align: center;
    cursor: pointer;
    padding: 0px;
}

.td-ng-click em {
    margin-top: -3px;
}

.cursor-pointer {
    cursor: pointer;
}

.panel-spinner {
    height: 40px;
}

.data-table-container {
    padding-top: 0px !important;
    color:#82877f !important
}

::ng-deep  tbody tr {
    background-color: transparent !important;
}

::ng-deep .table-hover tbody tr:hover {
    color: #212529;
    background-color: rgba(0,0,0,.01) !important;
}

::ng-deep .table thead th {
    text-align: left !important;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 500;
    span{
        float: right;
    }
}

::ng-deep  .table td {

    text-align: left !important;
    padding: .3rem .6rem !important;
}

.float-right {
     float: left !important; 
}

